# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

#
# $Header: /cvsroot/hungry/lesstif/doc/lessdox/clients/Makefile.am,v 1.2 1998/03/13 21:41:31 u27113 Exp $
#


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AR = @AR@
CC = @CC@
EXEEXT = @EXEEXT@
Editres = @Editres@
LD = @LD@
LEX = @LEX@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBTOOL = @LIBTOOL@
LIBTOOL_VERSION = @LIBTOOL_VERSION@
LN_S = @LN_S@
MAINT = @MAINT@
MAJOR_VERSION = @MAJOR_VERSION@
MAKEINFO = @MAKEINFO@
MINOR_VERSION = @MINOR_VERSION@
PACKAGE = @PACKAGE@
PICO_VERSION = @PICO_VERSION@
R6libs = @R6libs@
RANLIB = @RANLIB@
VERSION = @VERSION@
VarHaveMan2html = @VarHaveMan2html@
YACC = @YACC@
bindir = @bindir@
extralibs = @extralibs@
include_version_suffix = @include_version_suffix@
libdir = @libdir@
motif_includes = @motif_includes@
motif_libraries = @motif_libraries@
shared_make = @shared_make@
subdirs = @subdirs@
version_suffix = @version_suffix@
x_inc_path = @x_inc_path@
x_includes = @x_includes@
x_lib_path = @x_lib_path@
x_libraries = @x_libraries@

MAINTAINERCLEANFILES=Makefile.in
SUFFIXES=	.1 .3 .5 .html

mandir=	$(exec_prefix)/LessTif/doc/man
man1dir=	$(exec_prefix)/LessTif/doc/man/man1
man3dir=	$(exec_prefix)/LessTif/doc/man/man3
man5dir=	$(exec_prefix)/LessTif/doc/man/man5

man1_DATA=	mwm.1
man3_DATA=
man5_DATA=	mwmrc.5

#
# I'm assuming that all those with CVS access (core team) install
# man2html, and that daily extraction process will build the HTML
# files for people with no CVS access.
# As a consequence, if you don't have man2html you should already
# have the HTML files here; and only need to install them, not to
# build them.
#

htmldir=	$(exec_prefix)/LessTif/doc/html
html_DATA=	mwm.html mwmrc.html xmbind.html

@HaveMan2html_TRUE@man1_HTML=	${man1_DATA:.1=.html}
@HaveMan2html_TRUE@man3_HTML=	${man3_DATA:.3=.html}
@HaveMan2html_TRUE@man5_HTML=	${man5_DATA:.5=.html}
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../../include/LTconfig.h
CONFIG_CLEAN_FILES = 
DATA =  $(html_DATA) $(man1_DATA) $(man3_DATA) $(man5_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
default: all

.SUFFIXES:
.SUFFIXES: .1 .3 .5 .html
$(srcdir)/Makefile.in: @MAINT@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps doc/lessdox/clients/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-htmlDATA: $(html_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(htmldir)
	@list='$(html_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(htmldir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(htmldir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(htmldir)/$$p"; \
	    $(INSTALL_DATA) $$p $(htmldir)/$$p; \
	  fi; fi; \
	done

uninstall-htmlDATA:
	$(NORMAL_UNINSTALL)
	list='$(html_DATA)'; for p in $$list; do \
	  rm -f $(htmldir)/$$p; \
	done

install-man1DATA: $(man1_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(man1dir)
	@list='$(man1_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(man1dir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(man1dir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(man1dir)/$$p"; \
	    $(INSTALL_DATA) $$p $(man1dir)/$$p; \
	  fi; fi; \
	done

uninstall-man1DATA:
	$(NORMAL_UNINSTALL)
	list='$(man1_DATA)'; for p in $$list; do \
	  rm -f $(man1dir)/$$p; \
	done

install-man3DATA: $(man3_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(man3dir)
	@list='$(man3_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(man3dir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(man3dir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(man3dir)/$$p"; \
	    $(INSTALL_DATA) $$p $(man3dir)/$$p; \
	  fi; fi; \
	done

uninstall-man3DATA:
	$(NORMAL_UNINSTALL)
	list='$(man3_DATA)'; for p in $$list; do \
	  rm -f $(man3dir)/$$p; \
	done

install-man5DATA: $(man5_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(man5dir)
	@list='$(man5_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(man5dir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(man5dir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(man5dir)/$$p"; \
	    $(INSTALL_DATA) $$p $(man5dir)/$$p; \
	  fi; fi; \
	done

uninstall-man5DATA:
	$(NORMAL_UNINSTALL)
	list='$(man5_DATA)'; for p in $$list; do \
	  rm -f $(man5dir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc/lessdox/clients

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: install-htmlDATA install-man1DATA install-man3DATA install-man5DATA
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-htmlDATA uninstall-man1DATA uninstall-man3DATA uninstall-man5DATA

all: Makefile $(DATA)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(htmldir) $(man1dir) $(man3dir) $(man5dir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-generic

clean:  clean-generic mostlyclean

distclean:  distclean-generic clean
	rm -f config.status
	rm -f libtool

maintainer-clean:  maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default uninstall-htmlDATA install-htmlDATA uninstall-man1DATA \
install-man1DATA uninstall-man3DATA install-man3DATA uninstall-man5DATA \
install-man5DATA tags distdir info dvi installcheck install-exec \
install-data install uninstall all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


@HaveMan2html_TRUE@CLEANFILES +=	$(man1_HTML) $(man3_HTML) $(man5_HTML)

@HaveMan2html_TRUE@.1.html:
@HaveMan2html_TRUE@	man2html -f <$(srcdir)/$*.1 >$*.html

@HaveMan2html_TRUE@.3.html:
@HaveMan2html_TRUE@	man2html -f <$(srcdir)/$*.3 >$*.html

@HaveMan2html_TRUE@.5.html:
@HaveMan2html_TRUE@	man2html -f <$(srcdir)/$*.5 >$*.html

@HaveMan2html_TRUE@mwmrc.html:	mwmrc.5

@HaveMan2html_TRUE@mwm.html:	mwm.1

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
